Status: New Priority: Should have
Author: Sebastian Kurfuerst Category:
Created: 2012-09-04 Assigned To:
Updated: 2013-01-29 Due date:
Subject: [DISCUSS] As a user, I want to return to the last-used submodule when changing between main modules
Description

Definition of Done:

    -  when clicking on the main module titles in the menu, the last-used submodule should be opened.
    -  we do not want a separate redirect for that
    -  there should be no side-effect across browser tabs (i.e. two tabs should not influence each other)
    -  the module overview can always be accessed through a special icon-link in the submenu ("tile-image")

Technical Details:

    -  we give every browser window/tab an ID using window.name
    -  based on the browser window/tab and main module identifier, we store the last-visited module pages in local storage
    -  we intercept the main module links and replace them using JS

History
#1 - 2012-09-07 09:15 - Sebastian Kurfuerst
- Target version changed from Sprint 10 (1.0 TP1) to Sprint February 2013
- Position deleted (2)
- Position set to 1

#2 - 2012-09-14 12:17 - Robert Lemke
- Target version changed from Sprint February 2013 to Sprint 10 (1.0 TP1)

#3 - 2012-09-17 11:41 - Sebastian Kurfuerst
- Status changed from New to Postponed
- Position deleted (5)
- Position set to 4

#4 - 2012-09-18 08:55 - Robert Lemke
- Target version deleted (Sprint 10 (1.0 TP1))
- Position deleted (4)
- Position set to 49

#5 - 2012-09-20 11:56 - Sebastian Kurfuerst
- Target version set to Sprint February 2013
- Position deleted (48)
- Position set to 4

#6 - 2012-09-20 11:56 - Sebastian Kurfuerst
- Status changed from Postponed to New
- Position deleted (4)
- Position set to 4
#7 - 2012-10-11 11:24 - Sebastian Kurfuerst
- Target version changed from Sprint February 2013 to 1.0 beta 1
- Position deleted (46)
- Position set to 10

#8 - 2013-01-29 14:18 - Robert Lemke
- Target version deleted (1.0 beta 1)
- Position deleted (6)
- Position set to 60
